import { Turnkey } from "@turnkey/sdk-server";const turnkeyClient = new Turnkey({ apiBaseUrl: "https://api.turnkey.com", apiPublicKey: process.env.API_PUBLIC_KEY!, apiPrivateKey: process.env.API_PRIVATE_KEY!, defaultOrganizationId: process.env.ORGANIZATION_ID!,});const response = await turnkeyClient.apiClient().createPrivateKeys({ privateKeys: [{ // A list of Private Keys., privateKeyName: "<string> (Human-readable name for a Private Key.)", curve: "<CURVE_SECP256K1>" // curve field, privateKeyTags: ["<string>"] // A list of Private Key Tag IDs. This field, if not needed, should be an empty array in your request body., addressFormats: "<ADDRESS_FORMAT_UNCOMPRESSED>" // Cryptocurrency-specific formats for a derived address (e.g., Ethereum)., }]});
import { Turnkey } from "@turnkey/sdk-server";const turnkeyClient = new Turnkey({ apiBaseUrl: "https://api.turnkey.com", apiPublicKey: process.env.API_PUBLIC_KEY!, apiPrivateKey: process.env.API_PRIVATE_KEY!, defaultOrganizationId: process.env.ORGANIZATION_ID!,});const response = await turnkeyClient.apiClient().createPrivateKeys({ privateKeys: [{ // A list of Private Keys., privateKeyName: "<string> (Human-readable name for a Private Key.)", curve: "<CURVE_SECP256K1>" // curve field, privateKeyTags: ["<string>"] // A list of Private Key Tag IDs. This field, if not needed, should be an empty array in your request body., addressFormats: "<ADDRESS_FORMAT_UNCOMPRESSED>" // Cryptocurrency-specific formats for a derived address (e.g., Ethereum)., }]});